<?php
include ('../inc_fonction.php');
check_connection ('admin');
check_droit();

if (isset($_GET['modif'])){
	$log_page = 'Modification de la table '.$_GET['table'].' - id '.$_GET['modif'];
}
else{
	$log_page = 'Création nouvelle entrée dans la table '.$_GET['table'];
}
log_utilisateur($log_page, '../');

?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>ASM Admin - Modification</title>
    <link rel="stylesheet" href="../css/style.css" />
</head>

<body class="corps_site">
	<?php

	include('../inc_connection_bdd.php');

	if (isset($_GET['table']))
	{
		$table=$_GET['table'];
	}
	else
	{
		echo 'Mauvaise redirection, désolé.';
	}
	?>
		<?php
		if (isset($_GET['modif']))								// modif d’entrée existante
		{
			$nom_id=$table .'_id';
			$nom_titre=$table .'_titre';
			$nom_contenu=$table .'_contenu';

			$req = $bdd->prepare('SELECT * FROM site_'. $table .' WHERE '. $nom_id .' = ?');
			$req->execute(array($_GET['modif']));
			while ($donnees = $req->fetch())
			{
				$id=$donnees[$nom_id];
				$contenu=stripcslashes($donnees[$nom_contenu]);
				$contenu = preg_replace('#(<img src=")(images/)#iU', '$1../$2', $contenu);

				if ($_GET['table'] != 'contact' && $_GET['table'] != 'partenaire')				// Les contacts n'ont pas de titre
				{
					$titre=stripcslashes($donnees[$nom_titre]);
				}
			}
			$req->closeCursor();
		}
		else 													// creation d’une nouvelle entrée
		{
    	        $titre='';
     	        $contenu='';
                $id='0';
		}

		?>
	
	<section class="corps_contenu">
		<form id="formulaireText" method="post" action="" enctype="multipart/form-data">
			<fieldset class="corps_contenu"><legend><h3>Texte :</h3></legend>
				<?php 
				if ($_GET['table'] != 'contact' && $_GET['table'] != 'partenaire')
				{?>
					<p><label for="titre">Titre : </label>
						<input type="text" name="titre" id="titre" maxlength="255" autofocus required value="<?php echo $titre; ?>" />
					</p>
					
					
						<div><?php
							if ($table == 'presentation' AND isset($_GET['ordre']))
							{ ?>
								<label for="ordre">Ordre d'apparition :</label>			<!-- Ordre d'apparition -->
								<select name="ordre">
									<?php
									$req=$bdd->query('SELECT COUNT(*) AS nbr_id FROM site_presentation');
									$donnee=$req->fetch();

									for ($boucle=1; $boucle <= $donnee['nbr_id']; $boucle++)
									{
										if ($boucle == $_GET['ordre'])
										{
											$selected=' selected="selected"';
										}
										else
										{
											$selected='';
										} ?>

										<option value="<?php echo $boucle; ?>"<?php echo $selected; ?>><?php echo $boucle; ?></option><?php	
									}?>
								</select><br /><br />									<!-- FIN ordre -->
								<?php
								$req->closeCursor();
							} ?>

							<label for="etat">Etat :</label>							<!-- Selection de l'état -->
							<select name="etat">
								<option value="1">Public</option>
								<option value="2">Privée</option>
								<option value="3" selected="selected">En rédaction</option>
								<option value="4">Archivé</option>
							</select>													<!-- FIN état -->
						</div><?php
				}?>

				<div>
					<?php include('../inc_bouton_editeur.php'); ?>						<!-- Zone éditeur -->
					<div class="corps_pres" id="contenuModif" contentEditable><?php echo $contenu; ?></div>
				</div>

				<textarea name="contenuModif" id="mirroirModif"></textarea>

				<div id="control" class="admin">
		   	 		<input type="hidden" id="tableCacheText" name="table" value="<?php echo $table; ?>" />
		   	 		<input type="hidden" id="idCacheText" name="id" value="<?php echo $id; ?>" />

		   	 		<button id="bouttonAnnuler" class="boutton_annul">Annuler</button>
		   	 		<button id="validerText" class="boutton_val">Valider</button>
				</div>																<!-- Fin éditeur -->
			</fieldset>
		</form><?php

			if ($id == '5')						/* Lien pour creer les portrait encadrant */
			{
				include('inc_vignette_encadrant.php');
			}												//<!-- FIN lien encadrant-->

/* ------------------------------------------------------------------------ */
/* -------------------------------- IMAGES -------------------------------- */
/* ------------------------------------------------------------------------ */

	if ($id != 0)
		{?>
			<form id="formulaireImage" method="post" action="traitement_maj.php" enctype="multipart/form-data">		
				<div>
					<fieldset><legend><h3>Images :</h3></legend>
						<?php
						if (isset($_SESSION['alert']) && !empty($_SESSION['alert'])) { ?>
							<div class="message-alert">
								<?= $_SESSION['alert'] ?>
							</div> <?php
						} ?>
						<p>Télécharger une image :<br />
							<input type="hidden" id="tableCacheImage" name="table" value="<?php echo $table; ?>" />
					   	 	<input type="hidden" id="idCacheImage" name="id" value="<?php echo $id; ?>" />
							<input id="recupPhoto" type="file" name="photo" tittle="Choisir une image" />
							<select name="dimensionPhoto">
								<option value="petit" selected>Petite taille</option>
								<option value="moyen">Moyenne taille</option>
								<option value="grand">Grande taille</option>
							</select>
							<div id="divPrevPhoto2" style="height: 110px;"></div>
							<input id="envoyerPhoto" type="submit" value="Télécharger la photo" class="boutton_val" />
						</p>
						<div style="display: flex; flex-wrap: wrap; height: 100%" id="imagesModif">
							<?php
								$chemin_photo = '../images/'. $table .'/'. $id .'/';
								$dossier=opendir($chemin_photo);

								while ($fichier = readdir($dossier))
								{
									if ($fichier != "." && $fichier !="..")
									{?>
										<figure class="<?php echo $chemin_photo.$fichier; ?>">
										<img src="<?php echo $chemin_photo.$fichier; ?>" alt="<?php echo $fichier; ?>" style="max-width: 200px; max-height: 200px;">
										<figcaption style="margin: auto;"><?php echo $fichier; ?><a href="#" id="<?php echo $chemin_photo.$fichier; ?>"><img src="../images/icone_supprimer.png" alt="suppr"></a>
										</figcaption>
										</figure><?php
									}
								}
								closedir($dossier);
							?>
						</div>
					</fieldset>
				</div>
			</form><?php
		} ?>
	</section>
	
	<?php
	include("../inc_pied_de_page.php");
	?>

	<script src="../js/ajax"></script>
	<script src="../js/script_modif.js"></script>

</body>
</html>